% page format
\usepackage[margin=2.5cm]{geometry}
% Listings
\usepackage{listings}

% Url
\usepackage{url}

% Fancy Chapters
\usepackage[Glenn]{fncychap} 

% Hyperref
\usepackage{hyperref}

% Fancy Headers
\usepackage{fancyhdr} 

% Images
\usepackage{graphicx}

% Umlauts
\usepackage[T1]{fontenc}

\usepackage{textpos}

% Horizontal line
\newcommand{\HRule}{\rule{\linewidth}{0.5mm}}

\usepackage{xspace}

% Add dots to chapter entries in the TOC
\usepackage{tocloft}
\renewcommand{\cftchapleader}{\cftdotfill{\cftsecdotsep}}

\usepackage{booktabs}
\usepackage{multirow}
% Nice tables

\usepackage{wrapfig}
% floating text around Figures

\usepackage{listings}
\usepackage{color}
\usepackage{textcomp}
\definecolor{listinggray}{gray}{0.9}
\definecolor{lbcolor}{rgb}{0.9,0.9,0.9}

\lstset{
	language=[Visual]C++,
	keywordstyle=\bfseries\ttfamily\color[rgb]{0,0,1},
	identifierstyle=\ttfamily,
	commentstyle=\color[rgb]{0.133,0.545,0.133},
	stringstyle=\ttfamily\color[rgb]{0.627,0.126,0.941},
	showstringspaces=false,
	basicstyle=\small,
	numberstyle=\footnotesize,
	numbers=left,
	stepnumber=1,
	numbersep=10pt,
	tabsize=2,
	breaklines=true,
	prebreak = \raisebox{0ex}[0ex][0ex]{\ensuremath{\hookleftarrow}},
	breakatwhitespace=false,
	aboveskip={1.5\baselineskip},
  columns=fixed,
  upquote=true,
  extendedchars=true,
  frame=single,
% backgroundcolor=\color{lbcolor},
}

%Captions

\newcommand{\python}{\textsc{Python}\xspace}
